import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';
import 'package:tm_app/core/constants/assets.dart';
import 'package:tm_app/core/theme/colors.dart';
import 'package:tm_app/views/final_completion_of_documents/strings/final_completion_of_documents_strings.dart';

class CommentBox extends StatelessWidget {
  const CommentBox({super.key});

  @override
  Widget build(BuildContext context) {
    return Container(
      height: 148,
      decoration: BoxDecoration(
        color: AppColors.yellow1,
        borderRadius: BorderRadius.circular(4),
        border: Border.all(color: AppColors.yellow2),
      ),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: [
          Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              Padding(
                padding: const EdgeInsetsDirectional.fromSTEB(40, 24.0, 0.0, 0),

                child: Row(
                  children: [
                    SvgPicture.asset(AssetsManager.clipboardText),
                    const SizedBox(width: 16.0),
                    Text(
                      FinalCompletionOfDocumentsStrings.commentNoteTitle,
                      style: TextStyle(
                        fontSize: 16.0,
                        fontWeight: FontWeight.w500,
                        color: AppColors.grey80,
                      ),
                    ),
                  ],
                ),
              ),
              const Spacer(),
              const Padding(
                padding: EdgeInsetsDirectional.only(start: 65, bottom: 10),
                child: SizedBox(
                  width: 256,
                  height: 78,
                  child: Text(
                    'Lorem ipsum is a dummy or placeholder text commonly used in graphic design, publishing, and web development.',
                    maxLines: 3,
                    style: TextStyle(
                      fontSize: 14.0,
                      overflow: TextOverflow.ellipsis,
                      fontWeight: FontWeight.w400,
                      color: AppColors.grey,
                    ),
                  ),
                ),
              ),
            ],
          ),
          Column(
            children: [
              Padding(
                padding: const EdgeInsetsDirectional.only(end: 14, top: 15),
                child: Row(
                  children: [
                    Text(
                      FinalCompletionOfDocumentsStrings
                          .deadlineForCompletionOfDocuments,
                      style: TextStyle(
                        fontSize: 12.0,
                        fontWeight: FontWeight.w400,
                        color: AppColors.grey80,
                      ),
                    ),
                    const SizedBox(width: 4),
                    Container(
                      width: 87,
                      height: 20,
                      decoration: BoxDecoration(
                        borderRadius: BorderRadius.circular(80),
                        color: AppColors.mainBlue,
                      ),
                      alignment: Alignment.center,
                      child: Text(
                        '2025-06-15',
                        style: TextStyle(
                          color: AppColors.white,
                          fontSize: 14.0,
                          fontWeight: FontWeight.w400,
                        ),
                      ),
                    ),
                  ],
                ),
              ),
              const SizedBox(height: 51),
              TextButton(
                onPressed: () {},
                child: const Text(
                  FinalCompletionOfDocumentsStrings.replyToComment,
                  style: TextStyle(
                    fontSize: 14.0,
                    fontWeight: FontWeight.w500,
                    color: AppColors.mainBlue,
                  ),
                ),
              ),
            ],
          ),
        ],
      ),
    );
  }
}
